Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.spi
Interface AuditSetAttributeConfigurationEvent

public interface AuditSetAttributeConfigurationEvent
extends AuditConfigurationEvent

The `AuditSetAttributeConfigurationEvent` interface is used to post a specific configuration change audit event that identifies that a request has been made to modify an existing configuration artifact. This event will indicate if the request was allowed or dis-allowed. The WebLogic Management infrastructure implements this interface. An Auditing provider can use this interface to get specific information about the configuration audit event.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `SETATTRIBUTE_EVENT` Unique identifier for the SetAttribute Configuration Audit Event

Method Summary
`java.lang.String` | `getAttributeName()` Gets the AttributeName associated with this `AuditSetAttributeConfigurationEvent`.
`java.lang.Object` | `getNewValue()` Gets the NewValue associated with this `AuditSetAttributeConfigurationEvent`.
`java.lang.Object` | `getOldValue()` Gets the OldValue associated with this `AuditSetAttributeConfigurationEvent`.

Methods inherited from interface weblogic.security.spi.AuditConfigurationEvent
`getObjectName, getSubject`

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Field Detail

### SETATTRIBUTE_EVENT

    public static final java.lang.String SETATTRIBUTE_EVENT

  Unique identifier for the SetAttribute Configuration Audit Event

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Gets the AttributeName associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the String representing the AttributeName of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

### getOldValue

    public java.lang.Object getOldValue()

  Gets the OldValue associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the `Object` representing the old value of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

### getNewValue

    public java.lang.Object getNewValue()

  Gets the NewValue associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the `Object` representing the new value of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD